export interface PmsSettingAssessmentModel {
  apsyear: string
  companyId: string
  expectationLevel: number
  settingGroupAssessment: string
  evaluationResultsStatus: string
  workingTimeStatus: string
  settingScore5: number
  settingScore4: number
  settingScore3: number
  settingScore2: number
  settingScore1: number
}

export class MyPmsSettingAssessmentModel implements PmsSettingAssessmentModel {
  apsyear: string
  companyId: string
  expectationLevel: number
  settingGroupAssessment: string
  evaluationResultsStatus: string
  workingTimeStatus: string
  settingScore5: number
  settingScore4: number
  settingScore3: number
  settingScore2: number
  settingScore1: number

  constructor(data?: Partial<PmsSettingAssessmentModel>) {
    this.apsyear = data?.apsyear || "";
    this.companyId = data?.companyId || "";
    this.expectationLevel = data?.expectationLevel ?? 0;
    this.settingGroupAssessment = data?.settingGroupAssessment || "";
    this.evaluationResultsStatus = data?.evaluationResultsStatus || "";
    this.workingTimeStatus = data?.workingTimeStatus || "";
    this.settingScore5 = data?.settingScore5 ?? 0;
    this.settingScore4 = data?.settingScore4 ?? 0;
    this.settingScore3 = data?.settingScore3 ?? 0;
    this.settingScore2 = data?.settingScore2 ?? 0;
    this.settingScore1 = data?.settingScore1 ?? 0;
  }
}
